﻿using System;

namespace DataLayer
{
    public partial class Bug
    {
        public bool Equals(Bug bug)
        {
            if (ID != bug.ID) return false;
            if (Title != bug.Title) return false;
            if (IsActive != IsActive) return false;
            if (User != User) return false;
            return true;
        }

        public override int GetHashCode()
        {
            int result = 0;  //_ID;
            result = 29 * result + (_Assigned != null ? _Assigned.GetHashCode() : 0); ;
            result = 29*result + (_Title != null ? _Title.GetHashCode() : 0);
            result = 29*result + _IsActive.GetHashCode();
            result = 29*result + _User.GetHashCode();
            return result;
        }

        public override string ToString()
        {
            return "Title: " + _Title;
        }
    }
}