﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Linq.Expressions;

namespace DataLayer
{
    public interface IRepository<T>
    {
        bool Add(T item);
        T Find(Func<T, bool> match);
        IQueryable<T> Where(Expression<Func<T, bool>> match);

        bool Update(T updatedBug, T original);
    }
}
