﻿using System;
using System.Collections.Generic;
using BusinessLayer;
using Castle.Windsor;
using Castle.Windsor.Configuration.Interpreters;
using DataLayer;

namespace UI
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            IWindsorContainer container = new WindsorContainer(new XmlInterpreter());
            BugController controller = container.Resolve<BugController>();

            List<Bug> bugs= controller.GetAllActiveBugs();

            if (bugs.Count == 0)
                Response.Write("No bugs found!");
            else
            {
                GridView1.DataSource = bugs;
                GridView1.DataBind();
            }
        }
    }
}
